"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getEnvInfo;

/**
 * 获取当前页面所处的环境，以及当前环境所需访问的协议域名
 * @returns {object} env 'dev'|'test'|'pre'|'online' 相应环境的标识   pro 对应环境的客户端协议域名
 */
function getEnvInfo() {
  var env = 'online';
  var pro = 'p.du.163.com';
  var host = window.location.host;

  if (host === 'dev.du.163.com' || host.indexOf('du.163.com') < 0) {
    env = 'dev';
    pro = 'test' + pro;
  } else if (host === 'test.du.163.com') {
    env = 'test';
    pro = 'test' + pro;
  } else if (host === 'pre.du.163.com') {
    env = 'pre';
    pro = 'pre' + pro;
  }

  return {
    env: env,
    pro: 'https://' + pro
  };
}